Description of the Channel API.

Server
channel.redeam.io
Server Variables

Fields
KeyIn
X-API-KeyHeader

Fields
KeyIn
X-API-SecretHeader

List available channels

Returns a list of channels.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

GET /channels
Copy
Responses application/json
200

List available channels

objectobject
channels8 fieldsarray[object]

The channels

metaobject

Request meta data

reqIduuid

Request ID

401

List available channels

Response
Copy

Get a single channel

Returns a channel.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
channel_idstring
GET /channels/{channel_id}
Copy
Responses application/json
200

Get a single channel

objectobject
channel8 fieldsobject

The channel

metaobject

Request meta data

reqIduuid

Request ID

400

Get a single channel

401

Get a single channel

Response
Copy

Channel listings for a product

Returns a list of product channels.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
product_idstring
supplier_idstring
GET /suppliers/{supplier_id}/products/{product_id}/channels
Copy
Responses application/json
200

Channel listings for a product

objectobject
channelRates5 fieldsarray[object]

The ChannelRates

metaobject

Request meta data

reqIduuid

Request ID

401

Channel listings for a product

404

Channel listings for a product

Response
Copy

Remove a channel binding

Revoke access to a Product for the specified Channel.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
channel_idstring
product_idstring
supplier_idstring
DELETE /suppliers/{supplier_id}/products/{product_id}/channels/{channel_id}
Copy
Responses application/json
204

Remove a channel binding

No response body
400

Remove a channel binding

401

Remove a channel binding

404

Remove a channel binding

Response
Copy

Create a channel binding for a product

Grants a Channel access to sell a Supplier's Product, at one of the provided Rates.

A list of priceTags may be provided to filter the RatePrices visible to this Channel. All priceTags must be present in a RatePrice's labels for it to be visible to the Channel.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
channel_idstring
product_idstring
supplier_idstring
Request Body
objectobject
metaobject

Request meta data

reqIduuid

Request ID

priceAtstring

Price at time of

Enum: PRICE_AT_REDEMPTION,PRICE_AT_SALE,PRICE_AT_UNKNOWN

priceTagsarray[string]

Labels that must be present on a RatePrice in order to be visible

rateIdsarray[string]

Rate IDs exposed on the channel

validobject

time period the binding is valid for

fromdate-time

Valid from time

untildate-time

Valid until time

POST /suppliers/{supplier_id}/products/{product_id}/channels/{channel_id}
Copy
Responses application/json
201

Create a channel binding for a product

objectobject
channelRates5 fieldsarray[object]

The ChannelRates

metaobject

Request meta data

reqIduuid

Request ID

204

Create a channel binding for a product

400

Create a channel binding for a product

401

Create a channel binding for a product

404

Create a channel binding for a product

409

Create a channel binding for a product

Response
Copy

Update a channel binding for a product

Updates a Channel's access to a Supplier's Product.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
channel_idstring
product_idstring
supplier_idstring
Request Body
objectobject
metaobject

Request meta data

reqIduuid

Request ID

priceAtstring

Price at time of

Enum: PRICE_AT_REDEMPTION,PRICE_AT_SALE,PRICE_AT_UNKNOWN

priceTagsarray[string]

Labels that must be present on a RatePrice in order to be visible

rateIdsarray[string]

Rate IDs exposed on the channel

validobject

time period the binding is valid for

fromdate-time

Valid from time

untildate-time

Valid until time

PUT /suppliers/{supplier_id}/products/{product_id}/channels/{channel_id}
Copy
Responses application/json
200

Update a channel binding for a product

objectobject
channelRates5 fieldsarray[object]

The ChannelRates

metaobject

Request meta data

reqIduuid

Request ID

400

Update a channel binding for a product

401

Update a channel binding for a product

404

Update a channel binding for a product

Response
Copy